Post V 2 Work Sets Id Start

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idintegerRequired

Request

This endpoint expects an object.
asset_idstringOptional

Response

created Start
idstring
ULID
titlestring
descriptionstring
templateboolean
sharedboolean
archivedboolean
approvedboolean
completedboolean
completed_atlong

Unix timestamp (seconds since epoch)

progressdouble

Completion rate 0-100

work_set_workflows_countinteger
assigned_userslist of objects
manager_idslist of strings
participant_idslist of strings
operational_lead_idslist of strings
location_idslist of strings
group_idslist of strings
project_idslist of strings
tracked_timeinteger
Total tracked minutes
work_set_journeys_approvedboolean

Deprecated, use work_set_workflows_approved

work_set_workflows_approvedboolean
started_onlong

Unix timestamp (seconds since epoch)

started_atlong

Unix timestamp (seconds since epoch)

start_datelong

Unix timestamp (seconds since epoch)

finish_datelong

Unix timestamp (seconds since epoch)

location_timezonestring
creator_idstring
ULID
user_idstring

ULID. Deprecated, use creator_id

asset_idstring
ULID
work_set_template_idstring
ULID
flaggedboolean
editableboolean
work_set_workflowslist of objects
approvalslist of objects
reviewerslist of objects
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)